M2M Sync compatibility with MYOB 2011/2012 and 2013
21 Mar 2013, by Peter Spiller
0 Comments · Posted in Magento

    While MYOB continues to extend its products into the cloud, it has created some confusion surrounding our M2M Sync software and support for the latest releases of the MYOB product line. In summary, M2M Sync is compatible with the AccountRight version 19 products, which are still supported by MYOB at this time. It is not compatible with the AccountRight 2011/2012 or 2013 products. However, please note that any current AccountRight subscription also includes access to the compatible version 19 software, so this may be installed instead for use with M2M Sync.

    To explain why we only support the one version, we need to explain the current state of the MYOB AccountRight products. There are two distinct AccountRight lines:

    • The version 19 series. This is a continuation of the 'classic' MYOB from 2010 and earlier, and will be supported until at least the end of 2013.
    • The 2011/2012 and 2013 versions. These have been rewritten completely and offers a number of improvements and new features, including online company file storage.

    M2M Sync, along with other third-party integrations, uses MYOB's ODBC interface to import and export product, customer and sales data. MYOB has supported ODBC access for most of its history, and the version 19 series still does. The 2011/2012 version on the other hand does not have an ODBC interface, which means that M2M Sync cannot communicate with it.

    One of the changes in the 2011/2012 and 2013 versions is replacing the ODBC interface with a new web-based API. A beta version of this has recently become available and from a technical point of view it's certainly a big improvement - it's not tied to Windows, applications can access online company files without needing to be installed alongside MYOB, etc. However, the API works in a fundamentally different way to ODBC, so M2M Sync will require substantial modifications to make use of it. As of this writing, the API also does not support some critical object types that M2M Sync requires (products and sales).

    We are following progress on the new MYOB API, and intend to have M2M Sync use it in future, but at this stage M2M Sync is only compatible with the MYOB version 19 series. MYOB are continuing to support the version 19 series with compliance updates until at least the end of 2013, so that customers can use external integrations like M2M. Anyone interested in getting started with M2M Sync should keep this requirement in mind, and current subscribers already running M2M Sync will need to hold off on upgrading to the 2011/2012 and 2013 versions of MYOB or you will be unable to use it. If you need to change your current product or would like help with getting a new MYOB version set up, please contact MYOB support.

    Comments

    Comments are closed for this post